Package Details: twtxt 1.2.3-1

Git Clone URL: https://aur.archlinux.org/twtxt.git (read-only, click to copy)
Package Base: twtxt
Description: Decentralised, minimalist microblogging service for hackers.
Upstream URL: https://github.com/buckket/twtxt
Keywords: mircoblogging python twtxt
Licenses: MIT
Submitter: buckket
Maintainer: buckket
Last Packager: buckket
Votes: 4
Popularity: 0.104073
First Submitted: 2016-03-04 20:33
Last Updated: 2017-09-28 16:14

Latest Comments

basedtho commented on 2020-03-19 00:50

no longer works

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (click 7.1.1 (/usr/lib/python3.8/site-packages), Requirement.parse('click<7,>=6.7'), {'twtxt'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/twtxt", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3255, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3238, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3267, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'click<7,>=6.7' distribution was not found and is required by twtxt

buckket commented on 2016-04-16 12:30

Hi,

chardet and six are indirect dependencies required by aiohttp and dateutil, they are already listed there.
Wiki says: "Dependencies that are provided by other dependencies do not need to be listed."
But removing python makes sense because of that.

There’s no harm done about being a little bit more explicit than implicit about the build process of the package.
So I guess the call to setup.py build is ok.

Will add the ${} though. ;)

Thanks for your input!

ogarcia commented on 2016-04-16 10:38

Hi,

Some considerations in your pkgbuild:

You have missing depends, the correct is:
depends=('python-six' 'python-dateutil' 'python-chardet' 'python-aiohttp'
'python-click' 'python-humanize')

Not necessary add python as depend cause is implied by "python-*" packages.

In source, use ${} in vars, is more "elegant".

source=("https://pypi.python.org/packages/source/t/${pkgname}/${pkgname}-${pkgver}.tar.gz")

You can remove all build section, not necesary cause "python setup.py install" do it.

And in package section, use ${} too:

package() {
cd ${pkgname}-${pkgver}
install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
python setup.py install --root="${pkgdir}" --optimize='1'
}

Greetings ;)